SOLIDWORKS PDM Professional API Help | Send Feedback
AddFileByPath Method (IEdmBatchDelete)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchDelete Interface : AddFileByPath Method (IEdmBatchDelete)

Visual Basic
C#
C++/CLI

bsPath
  Path of file to delete

Adds a file with the specified path to the batch of files to be deleted.

# Syntax

Visual Basic |
--- | ---
    Sub AddFileByPath( _
       ByVal bsPath As System.String _
    )

C# |
--- | ---
    void AddFileByPath(
       System.string bsPath
    )

C++/CLI |
--- | ---
    void AddFileByPath(
    &   System.String^ bsPath
    )

#### Parameters

bsPath
  Path of file to delete

# Example

See the IEdmBatchDelete examples.

# Remarks

After calling this method, call IEdmBatchDelete::CommitDelete to delete the file from the vault.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchDelete Interface
IEdmBatchDelete Members

# Availability

SOLIDWORKS PDM Professional 2008